| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs | Enumerations
plane3d.h File Reference
`#include "irrMath.h"`
`#include "vector3d.h"`

Go to the source code of this file.

## Classes

- class irr::core::plane3d< T >
    Template plane class with some intersection testing methods. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

- typedef plane3d< f32 > irr::core::plane3df
    Typedef for a f32 3d plane.
- typedef plane3d< s32 > irr::core::plane3di
    Typedef for an integer 3d plane.

## Enumerations

- enum irr::core::EIntersectionRelation3D {
  irr::core::ISREL3D_FRONT = 0, irr::core::ISREL3D_BACK, irr::core::ISREL3D_PLANAR, irr::core::ISREL3D_SPANNING,
  irr::core::ISREL3D_CLIPPED
  }
    Enumeration for intersection relations of 3d objects. More...